## IBusPropList IBusPropList — An IBusProperty container. |

## Stability Level

Stable, unless otherwise indicated

## Functions

IBusPropList * | ibus_prop_list_new ()
void | ibus_prop_list_append ()
IBusProperty * | ibus_prop_list_get ()
gboolean | ibus_prop_list_update_property ()

## Types and Values

| IBusPropList
| IBusPropListClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── IBusObject
                ╰── IBusSerializable
                    ╰── IBusPropList

## Description

See_also: IBusProperty, IBusEngine

## Functions

### ibus_prop_list_new ()

    IBusPropList *
    ibus_prop_list_new ();

Create a new IBusPropList.

#### Returns

A newly allocated IBusPropList.

### ibus_prop_list_append ()

    void
    ibus_prop_list_append (IBusPropList *prop_list,
                           IBusProperty *prop);

Append an IBusProperty to an IBusPropList, and increase reference.

#### Parameters

prop_list | An IBusPropList. |
prop | IBusProperty to be append to `prop_list` . |

### ibus_prop_list_get ()

    IBusProperty *
    ibus_prop_list_get (IBusPropList *prop_list,
                        guint index);

Gets IBusProperty at given index. Borrowed reference.

#### Parameters

prop_list | An IBusPropList. |
index | Index of an IBusPropList. |

#### Returns

IBusProperty at given index, `NULL` if no such IBusProperty.

[transfer none]

### ibus_prop_list_update_property ()

    gboolean
    ibus_prop_list_update_property (IBusPropList *prop_list,
                                    IBusProperty *prop);

Update an IBusProperty in IBusPropList.

#### Parameters

prop_list | An IBusPropList. |
prop | IBusProperty to be update. |

#### Returns

`TRUE` if succeeded, `FALSE` otherwise.

## Types and Values

### IBusPropList

    typedef struct {
        GArray *properties;
    } IBusPropList;

An array of IBusProperties.

### IBusPropListClass

    typedef struct {
        IBusSerializableClass parent;
    } IBusPropListClass;

Class structure for IBusPropList.